LegacyLayout.LegacyCell.Kind (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db

## Enum LegacyLayout.LegacyCell.Kind

- java.lang.Object
- - java.lang.Enum<LegacyLayout.LegacyCell.Kind>
  - - org.apache.cassandra.db.LegacyLayout.LegacyCell.Kind

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LegacyLayout.LegacyCell.Kind>
  Enclosing class:
    LegacyLayout.LegacyCell

      public static enum LegacyLayout.LegacyCell.Kind
      extends java.lang.Enum<LegacyLayout.LegacyCell.Kind>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COUNTER`
    `DELETED`
    `EXPIRING`
    `REGULAR`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LegacyLayout.LegacyCell.Kind` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LegacyLayout.LegacyCell.Kind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REGULAR

          public static final LegacyLayout.LegacyCell.Kind REGULAR

    - #### EXPIRING

          public static final LegacyLayout.LegacyCell.Kind EXPIRING

    - #### DELETED

          public static final LegacyLayout.LegacyCell.Kind DELETED

    - #### COUNTER

          public static final LegacyLayout.LegacyCell.Kind COUNTER

  - ### Method Detail

    - #### values

          public static LegacyLayout.LegacyCell.Kind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LegacyLayout.LegacyCell.Kind c : LegacyLayout.LegacyCell.Kind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LegacyLayout.LegacyCell.Kind valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation